jQuery(document).ready(function () {
	const baseURL = "https://crm.onlo.pl/CRM";
    const url = baseURL + "/rest/public/website";

    var scripts = [ 
    	'/wp-content/themes/Divi/includes/builder/feature/dynamic-assets/assets/js/magnific-popup.js',
    	url + '/integrator/js/contact-btn.js' 
    ];
    var csses = [ 
    	'/wp-content/themes/Divi/includes/builder/styles/magnific_popup.css',
    	url + '/integrator/css/contact-btn.css'
    ];
    
	jQuery.ajaxSetup({ cache: true });
	
    scripts.forEach(s=>
    {
    	jQuery.getScript(s)
        .done(function () {
            console.log(s + " loaded");
        })
        .fail(function (x) {
        	console.error("Cannot load " + s, x);
        });
    });
    
    csses.forEach(css=>{
    	jQuery("<link>")
        .attr("rel", "stylesheet")
        .attr("type", "text/css")
        .attr("href", css)
        .appendTo("head");
    	console.log(css + " linked");
    })
});
